%define rel 1
%define subrel 1

Name: jovie
Version: 4.8.5
Release: %mkrel %{rel}
Epoch: 2
Group: Accessibility 
Summary: Subsystem within the KDE desktop for conversion of text to audible speech
URL: http://www.kde.org/applications/utilities/jovie
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
License: GPLv2 and GFDL

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: speech-dispatcher-devel

Requires: kdebase4-runtime
Requires: speech-dispatcher
Suggests: %{name}-handbook

%description
Jovie is a subsystem within the KDE desktop for 
conversion of text to audible speech. Jovie is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 * Speak any text from the KDE clipboard.
 * Speak any plain text file.
 * Speak all or any portion of a text file from Kate.
 * Speak all or any portion of an HTML page from Konqueror.
 * Use as the speech backend for KMouth and KSayIt.
 * Speak KDE notifications (KNotify).
 * Long text is parsed into sentences. User may backup by sentence or 
    paragraph, replay, pause, and stop playing.
 * Audio output via GStreamer (version 0.8.7 or later)

%files
%_kde_bindir/jovie
%_kde_datadir/applications/kde4/jovieapp.desktop
%_kde_libdir/kde4/kcm_kttsd.so
%_kde_libdir/kde4/jovie_stringreplacerplugin.so
%_kde_libdir/kde4/jovie_talkerchooserplugin.so
%_kde_libdir/kde4/jovie_xmltransformerplugin.so
%_kde_appsdir/jovie
%_kde_appsdir/kttsd
%_kde_iconsdir/*/*/actions/female.png
%_kde_iconsdir/*/*/actions/male.png
%_kde_iconsdir/*/*/actions/nospeak.png
%_kde_iconsdir/*/*/actions/speak.png
%_kde_services/jovie.desktop
%_kde_services/jovie_stringreplacerplugin.desktop
%_kde_services/jovie_talkerchooserplugin.desktop
%_kde_services/jovie_xmltransformerplugin.desktop
%_kde_services/kcmkttsd.desktop
%_kde_services/kttsd.desktop
%_kde_servicetypes/jovie_filterplugin.desktop
%_kde_datadir/jovie/README.install.urpmi

#------------------------------------------------------------------------------

%package -n jovie-handbook
Summary: Jovie handbook
Conflicts: jovie < 2:4.7.1
Requires:  jovie >= %{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n jovie-handbook
This package provides Jovie handbook.

%files -n jovie-handbook
%doc AUTHORS ChangeLog COPYING COPYING.DOC README README.kttsd TODO
%docdir %_kde_docdir
%_kde_docdir/HTML/en/jovie

#-----------------------------------------------------------------------------

%define kttsd_major 4
%define libkttsd %mklibname kttsd %{kttsd_major}

%package -n %libkttsd
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libkttsd
Runtime library for %{name}

%files -n %libkttsd
%_kde_libdir/libkttsd.so.%{kttsd_major}*

#-----------------------------------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files for %{name}
Requires: %libkttsd = %epoch:%{version}-%{release}
Conflicts: kdeaccessibility4-devel < 2:4.7.90

%description devel
Header files needed for developing ktts applications.

%files devel
%_kde_libdir/libkttsd.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Create the README.urpmi for jovie
mkdir -p %{buildroot}/%{_kde_datadir}/jovie/

cat > %{buildroot}/%{_kde_datadir}/jovie/README.install.urpmi << EOF
In order to use jovie you first need to configure the speed-dispatcher daemon
using spd-conf (this binary is provided by python-speechd)
If you're using the default mageia sound configuration (pulseaudio per default)
you should configure speed-dispatcher using spd-conf this way:
- create a user configuration
- default module output is espeak
- select your default language
- default audio output method needs to be pulse & not alsa
- default port needs to be 6560
Regards,

EOF


%changelog

* Mon Aug 06 2012 mikala <mikala> 2:4.8.5-1.1.mga2
+ Revision: 279137
- Update tarball to KDE SC 4.8.5
- Add missing requires for handbook package
- Update tarball to 4.8.4

  + fwang <fwang>
    - new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 2:4.8.1-2.mga2
+ Revision: 227479
- add missing suggests

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221462
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198330
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191004
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186258
- Update tarball to KDE 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181491
- imported package jovie

